## grub2-unsigned 2.04-1ubuntu44.2+10.0trisquel6

=== debian/changelog ===
grub2-unsigned (2.04-1ubuntu44.2+10.0trisquel6) nabia; urgency=medium

  * skip test grub_cmd_set_date.in

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 18 Oct 2022 05:51:35 +0000

grub2-unsigned (2.04-1ubuntu44.2) focal; urgency=medium

  * No-change rebuild to ensure clean upgrade from bionic.  LP: #1928674.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 20 May 2021 00:51:07 +0000

grub2-unsigned (2.04-1ubuntu44) hirsute; urgency=medium

  * Compile grub-efi-amd64 installable i386 platform on hirsute, to make
    it available in bionic and earlier as part of onegrub builds.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 03 Mar 2021 11:42:28 +0000
