=== debian/rules ===
--- 
+++ 
@@ -10,10 +10,8 @@
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
 DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
 
-export DEB_BUILD_MAINT_OPTIONS = optimize=-lto
-
 HOST_CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
-# -O3 (default on Ubuntu ppc64el) introduces various -Werror failures, and
+# -O3 (default on Trisquel ppc64el) introduces various -Werror failures, and
 # isn't worth it here.
 HOST_CFLAGS := -Wall -Wno-error=unused-result $(shell dpkg-buildflags --get CFLAGS | perl -pe 's/-O3\b/-O2/')
 HOST_LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
@@ -86,7 +84,7 @@
 BUILD_PACKAGES += grub-none
 endif
 
-ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
+ifeq (yes,$(shell dpkg-vendor --derives-from Trisquel && echo yes))
 DEFAULT_CMDLINE := quiet splash
 DEFAULT_TIMEOUT := 10
 ifeq ($(DEB_HOST_ARCH_CPU),ppc64el)
@@ -94,7 +92,7 @@
 else
 FLICKER_FREE_BOOT := yes
 endif
-confflags += --enable-ubuntu-recovery
+confflags += --enable-trisquel-recovery
 else ifeq (yes,$(shell dpkg-vendor --derives-from Tanglu && echo yes))
 DEFAULT_CMDLINE := quiet splash
 DEFAULT_TIMEOUT := 10
@@ -129,7 +127,7 @@
 debian/stamps/build-grub-efi-arm64 install/grub-efi-arm64: export SB_EFI_NAME := aa64
 SB_PACKAGE :=
 ONLY_BUILD :=
-ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
+ifeq (yes,$(shell dpkg-vendor --derives-from Trisquel && echo yes))
 generate-grub2-unsigned:
 	rm -f debian/files
 	sed '1s/^grub2 /grub2-unsigned /' -i debian/changelog
@@ -154,10 +152,8 @@
 # Submit this build of grub for raw-uefi signing?
 ifeq ($(DEB_SOURCE),grub2)
 SB_SUBMIT := no
-COMPRESSION :=
 else
 SB_SUBMIT := yes
-COMPRESSION := -Zxz
 endif
 ifeq ($(DEB_HOST_ARCH),amd64)
 SB_PACKAGE := grub-efi-amd64
@@ -199,3 +195,6 @@
 # rebuild grub, need a programmatic way to get the vendor, as it's used by build-efi-images
 # to create the monolithic Grub image and thus is needed to create the partitions on the EFI
 # media. Add it to the control file user metadata: XB-Efi-Vendor: $vendor
+SB_EFI_VENDOR ?= $(shell dpkg-vendor --query vendor | tr '[:upper:]' '[:lower:]')
+
+%:
